Retrieve a webhook endpoint
curl --request GET \
--url https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}")
.header("X-API-Key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.sbx.moduluslabs.io/v1/webhook_endpoints/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"enabled_events": [
"payment.succeeded"
],
"status": "ENABLED",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"error": {
"code": "INVALID_DESCRIPTION",
"message": "description must be 255 characters or fewer.",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_DESCRIPTION",
"message": "description must be 255 characters or fewer.",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_DESCRIPTION",
"message": "description must be 255 characters or fewer.",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_DESCRIPTION",
"message": "description must be 255 characters or fewer.",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_DESCRIPTION",
"message": "description must be 255 characters or fewer.",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Payment Webhooks
Retrieve Webhook Endpoint
Retrieve one webhook endpoint
GET
/
v1
/
webhook_endpoints
/
{id}
Retrieve a webhook endpoint
Authorizations
A Modulus API key with the required webhook scope.
Path Parameters
Webhook endpoint identifier returned by the create operation.
Response
Endpoint retrieved.
Unique webhook endpoint identifier.
Public HTTPS callback URL that receives subscribed events.
Payment event types currently delivered to this endpoint.
Payment event type delivered to a subscribed endpoint.
Available options:
payment.succeeded, payment.declined, payment.failed, payment.expired Delivery state of the endpoint.
Available options:
ENABLED, DISABLED Merchant-owned endpoint metadata. This is endpoint configuration and is not payment-event metadata.
UTC RFC 3339 timestamp when the endpoint was created.
UTC RFC 3339 timestamp when the endpoint was last updated.
Merchant-defined endpoint label, or null when none was supplied.
Was this page helpful?